import 'package:dcoupon_sdk_flutter_package/src/domain/entities/dcoupon_sdk_options.dart';

abstract class ConfigReader {
  static DcouponSDKOptions get dcouponSDKOptions => _dcouponSDKOptions;
  static late DcouponSDKOptions _dcouponSDKOptions;
  static String? get userJwt => _userJwt;
  static String? _userJwt;

  static int get dateOffset => _dateOffset;
  static int _dateOffset = 0;

  static void init(DcouponSDKOptions options) {
    _dcouponSDKOptions = options;
  }

  static void setUserJwt(String? jwt) {
    _userJwt = jwt;
  }

  static void setDateOffset(int dateOffset) {
    _dateOffset = dateOffset;
  }
}
